=== debian/changelog ===
gridtools (2.3.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 08:02:41 +0100

gridtools (2.3.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 Apr 2023 12:03:35 +0100

gridtools (2.2.3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 11 Mar 2023 09:51:03 +0000

gridtools (2.2.2-1) experimental; urgency=medium

  * New upstream release
  * Add Rules-Requires-Root: no

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Dec 2022 14:17:13 +0000

gridtools (2.2.1-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1
  * Patches for additional dependencies ; use FETCHCONTENT declarations

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Nov 2022 16:31:38 +0000
