=== debian/changelog ===
gridtools (2.3.1-1) unstable; urgency=medium

  * New upstream release
    - submodules prefetched in orig.tar tarball
  * Disable python tests as nanobind cmake appears broken

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Sep 2023 11:40:43 +0100

gridtools (2.3.0-3) unstable; urgency=medium

  * g++-13 patch: Fix FTBFS with missing header. Closes: #1042232

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Jul 2023 10:26:40 +0100
