=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,9 @@
 	-DFETCHCONTENT_SOURCE_DIR_GOOGLETEST=$(CURDIR)/googletest \
 	-DFETCHCONTENT_SOURCE_DIR_CPP_BINDGEN=$(CURDIR)/cpp_bindgen \
 	-DFETCHCONTENT_SOURCE_DIR_PYBIND11=$(CURDIR)/pybind11 \
+	-DFETCHCONTENT_SOURCE_DIR_NANOBIND=$(CURDIR)/nanobind \
 	-DFETCHCONTENT_QUIET=Off \
+	-DGT_TESTS_ENABLE_PYTHON_TESTS=Off \
 	-DGT_INSTALL_EXAMPLES_PATH=/usr/share/doc/libgridtools-dev/examples \
 	$(NATIVE)
