=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -101,6 +101,21 @@
 endfunction()
 
 
+# This option is only useful if we have a broken setup,
+# where a Python environment is found but doesn't work.
+option(GT_TESTS_ENABLE_PYTHON_TESTS "Enable Python tests" ON)
+option(GT_TESTS_REQUIRE_Python "Enable Python tests" OFF)
+
+# Find Python libraries
+if (${GT_TESTS_ENABLE_PYTHON_TESTS})
+    if(GT_TESTS_REQUIRE_Python)
+        set(_GT_TESTS_Python_REQUIRED "REQUIRED")
+    endif()
+
+    find_package(Python "3.8" ${_GT_TESTS_Python_REQUIRED} COMPONENTS Interpreter Development NumPy)
+endif()
+
+
 add_subdirectory(regression)
 add_subdirectory(unit_tests)
