=== docs_src/manuals/getting_started/code/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(CMAKE_CXX_EXTENSIONS OFF) # Currently required for HIP
 
-find_package(GridTools 2.3.1 REQUIRED QUIET)
+find_package(GridTools 2.3.2 REQUIRED QUIET)
 
 if(TARGET GridTools::stencil_cpu_ifirst)
     add_executable(gt_laplacian test_gt_laplacian.cpp)
