=== debian/changelog ===
gridtools (2.3.2-1) unstable; urgency=medium

  * New upstream release
  * Add dependency on fortran:Depends to libgridtools-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Feb 2024 07:01:11 +0000
