=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, 
+Depends: ${misc:Depends}, ${fortran:Depends},
  ecbuild, 
  mpi-default-dev,
  pybind11-dev,
