=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,10 @@
 BUILD_FLAGS = \
 	-DCMAKE_MODULE_PATH=/usr/share/ecbuild/cmake \
 	-DFETCHCONTENT_FULLY_DISCONNECTED=On \
-	-DFETCHCONTENT_SOURCE_DIR_GOOGLETEST=$(CURDIR)/googletest \
-	-DFETCHCONTENT_SOURCE_DIR_CPP_BINDGEN=$(CURDIR)/cpp_bindgen \
-	-DFETCHCONTENT_SOURCE_DIR_PYBIND11=$(CURDIR)/pybind11 \
-	-DFETCHCONTENT_SOURCE_DIR_NANOBIND=$(CURDIR)/nanobind \
+	-DFETCHCONTENT_SOURCE_DIR_GOOGLETEST=$(CURDIR)/_deps/googletest-src \
+	-DFETCHCONTENT_SOURCE_DIR_CPP_BINDGEN=$(CURDIR)/_deps/cpp_bindgen-src \
+	-DFETCHCONTENT_SOURCE_DIR_PYBIND11=$(CURDIR)/_deps/pybind11-src \
+	-DFETCHCONTENT_SOURCE_DIR_NANOBIND=$(CURDIR)/_deps/nanobind-src \
 	-DFETCHCONTENT_QUIET=Off \
 	-DGT_TESTS_ENABLE_PYTHON_TESTS=Off \
 	-DGT_INSTALL_EXAMPLES_PATH=/usr/share/doc/libgridtools-dev/examples \
