## gridtools 2.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
     endif()
 endif()
 
-set(REQUIRED_BOOST_VERSION 1.65.1)
+set(REQUIRED_BOOST_VERSION 1.73)
 find_package(Boost ${REQUIRED_BOOST_VERSION} REQUIRED)
 
 # setup main gridtools target
