=== debian/changelog ===
gridtools (2.3.4-1) unstable; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Jul 2024 09:33:00 +0100
