=== debian/changelog ===
gridtools (2.3.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Nov 2024 06:43:33 +0000

gridtools (2.3.5-1) unstable; urgency=medium

  * New upstream release
  * Use dh --no-parallel to try and avoid OOM issues with g++ 14

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Oct 2024 10:40:50 +0100
