## gridtools 2.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 #   the environment from which GridTools was installed is irrelevant for the installation.
 #   Therefore, we use the same macro to setup CMake targets in the main CMakeLists.txt (this file) and in the
 #   GridToolsConfig.cmake of an installation (see cmake/public/gridtools_setup_target.cmake)
-cmake_minimum_required(VERSION 3.18.1)
-cmake_policy(VERSION 3.18.1)
+cmake_minimum_required(VERSION 3.21.0)
+cmake_policy(VERSION 3.21.0)
 
 file(STRINGS "version.txt" __GT_VERSION)
 project(GridTools VERSION ${__GT_VERSION} LANGUAGES CXX)
@@ -29,12 +29,13 @@
 set(CMAKE_EXPORT_NO_PACKAGE_REGISTRY ON CACHE BOOL "")
 mark_as_advanced(CMAKE_EXPORT_NO_PACKAGE_REGISTRY)
 
-# User setting GT_CLANG_CUDA_MODE: decide if Clang-CUDA or NVCC
+# User setting GT_CLANG_CUDA_MODE: decide if Clang-CUDA, NVCC or HIP
+# TODO(havogt): rename variable to GT_CLANG_MODE in backwards compatible way
 if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
     set(GT_CLANG_CUDA_MODE "AUTO" CACHE STRING
-        "AUTO, Clang-CUDA or NVCC-CUDA; \
-        AUTO = Use NVCC if language CUDA is enabled, else prefer Clang-CUDA.")
-    set_property(CACHE GT_CLANG_CUDA_MODE PROPERTY STRINGS "AUTO;Clang-CUDA;NVCC-CUDA")
+        "AUTO, Clang-CUDA, NVCC-CUDA or HIP; \
+AUTO = Use NVCC if language CUDA is enabled, else prefer Clang-CUDA, else prefer HIP.")
+    set_property(CACHE GT_CLANG_CUDA_MODE PROPERTY STRINGS "AUTO;Clang-CUDA;NVCC-CUDA;HIP")
 endif()
 
 # User setting GT_INSTALL_EXAMPLES:
