=== tests/unit_tests/storage/adapter/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
                 FetchContent_Declare(
                         nanobind
                         GIT_REPOSITORY https://github.com/wjakob/nanobind.git
-                        GIT_TAG        v2.0.0
+                        GIT_TAG        v2.1.0
                 )
                 FetchContent_MakeAvailable(nanobind)
                 nanobind_build_library(nanobind-static)
