=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gridtools
 Section: science
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
   dh-buildinfo,
   dh-sequence-fortran-mod,
@@ -16,11 +17,11 @@
   libgmock-dev,
   libgtest-dev,
   libboost-dev (>= 1.58.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gridtools.github.io/gridtools/latest/index.html
-Vcs-Browser: https://salsa.debian.org:/science-team/gridtools.git
-Vcs-Git: https://salsa.debian.org:/science-team/gridtools.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/gridtools.git
+Vcs-Git: https://salsa.debian.org/science-team/gridtools.git -b debian/latest
 
 Package: libgridtools-dev
 Section: libdevel
