=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 export OMPI_MCA_rmaps_base_oversubscribe=1
 
 %:
-	dh $@ --buildsystem=ecbuild
+	dh $@ --buildsystem=ecbuild --no-parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- ${BUILD_FLAGS}
